Bug 461015 (CVE-2008-3529) - CVE-2008-3529 libxml2: long entity name heap buffer overflow
Summary: CVE-2008-3529 libxml2: long entity name heap buffer overflow
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2008-3529
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 461019 461020 461021 461022 461023 461024
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-09-03 14:29 UTC by Tomas Hoger
Modified: 2019-09-29 12:26 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-30 19:35:37 UTC


Attachments (Terms of Use)
Proposed patch from Daniel Veillard (against 2.6.32) (677 bytes, patch)
2008-09-03 14:37 UTC, Tomas Hoger
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2008:0884 normal SHIPPED_LIVE Important: libxml2 security update 2008-09-11 13:50:29 UTC
Red Hat Product Errata RHSA-2008:0886 normal SHIPPED_LIVE Important: libxml2 security update 2008-09-11 13:45:08 UTC

Description Tomas Hoger 2008-09-03 14:29:00 UTC
It was discovered, that libxml2 does not properly handle long XML entity names.  In the xmlParseAttValueComplex() function in parser.c, when entity name is not substituted with entity value, but is sent to output unchanged, buffer used to store entity name may not be grown sufficiently in case of long entity names, resulting in a heap buffer overflow.

Issue is already fixed upstream in version 2.7.0.

Comment 1 Tomas Hoger 2008-09-03 14:37:47 UTC
Created attachment 315648 [details]
Proposed patch from Daniel Veillard (against 2.6.32)

Comment 6 Tomas Hoger 2008-09-11 13:08:04 UTC
Lifting embargo.


Note You need to log in before you can comment on or make changes to this bug.